---
id: kernel
title: kernel
hide_title: true
hide_table_of_contents: true
sidebar_label: kernel
description: Parse kernelcache
---
## ipsw kernel

Parse kernelcache

```
ipsw kernel [flags]
```

### Options

```
  -h, --help   help for kernel
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw](/docs/cli/ipsw)	 - Download and Parse IPSWs (and SO much more)
* [ipsw kernel ctfdump](/docs/cli/ipsw/kernel/ctfdump)	 - Dump CTF info
* [ipsw kernel dec](/docs/cli/ipsw/kernel/dec)	 - Decompress a kernelcache
* [ipsw kernel dwarf](/docs/cli/ipsw/kernel/dwarf)	 - 🚧 Dump DWARF debug information
* [ipsw kernel extract](/docs/cli/ipsw/kernel/extract)	 - Extract KEXT(s) from kernelcache
* [ipsw kernel ida](/docs/cli/ipsw/kernel/ida)	 - 🚧 Analyze kernelcache in IDA Pro
* [ipsw kernel kexts](/docs/cli/ipsw/kernel/kexts)	 - List kernel extensions
* [ipsw kernel mach](/docs/cli/ipsw/kernel/mach)	 - Dump kernelcache mach_traps
* [ipsw kernel mig](/docs/cli/ipsw/kernel/mig)	 - Dump kernelcache mig subsystem
* [ipsw kernel symbolicate](/docs/cli/ipsw/kernel/symbolicate)	 - Symbolicate kernelcache
* [ipsw kernel symbolsets](/docs/cli/ipsw/kernel/symbolsets)	 - Dump kernel symbolsets
* [ipsw kernel syscall](/docs/cli/ipsw/kernel/syscall)	 - Dump kernelcache syscalls
* [ipsw kernel version](/docs/cli/ipsw/kernel/version)	 - Dump kernelcache version

